---
title: markerUnits
slug: Web/SVG/Attribute/markerUnits
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>markerUnits</code></strong> attribute defines the coordinate system for the {{SVGAttr("markerWidth")}} and {{SVGAttr("markerUnits")}} attributes and the contents of the {{SVGElement("marker")}}.</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>userSpaceOnUse</code> | <code>strokeWidth</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>strokeWidth</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>userSpaceOnUse</code></dt>
 <dd>This value specifies that the <code>markerWidth</code> and <code>markerUnits</code> attributes and the contents of the <code>&lt;marker&gt;</code> element represent values in the current user coordinate system in place for the graphic object referencing the marker (i.e., the user coordinate system for the element referencing the <code>&lt;marker&gt;</code> element via a {{SVGAttr("marker")}}, <code>marker-start</code>, <code>marker-mid</code>, or <code>marker-end</code> property).</dd>
 <dt><code>strokeWidth</code></dt>
 <dd>This value specifies that the <code>markerWidth</code> and <code>markerUnits</code> attributes and the contents of the <code>&lt;marker&gt;</code> element represent values in a coordinate system which has a single unit equal the size in user units of the current stroke width (see the {{SVGAttr("stroke-width")}} attribute) in place for the graphic object referencing the marker.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#MarkerUnitsAttribute", "markerUnits")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#MarkerUnitsAttribute", "markerUnits")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.marker.markerUnits")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("marker")}}</li>
 <li>{{SVGAttr("markerWidth")}}</li>
 <li>{{SVGAttr("markerUnits")}}</li>
 <li>{{SVGAttr("stroke-width")}}</li>
</ul>
